Package org.apache.tomcat.util.bcel.classfile

## Class ClassFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.tomcat.util.bcel.classfile.ClassFormatException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ClassFormatException
    extends java.lang.RuntimeException

Thrown when the BCEL attempts to read a class file and determines that the file is malformed or otherwise cannot be interpreted as a class file.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ClassFormatException()`
`ClassFormatException​(java.lang.String s)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClassFormatException

    public ClassFormatException()

#### ClassFormatException

    public ClassFormatException​(java.lang.String s)